# A selectizeInput customized for data frames with column labels — columnSelectInput • FreesearchR
Copied and modified from the IDEAFilter package Adds the option to select "none" which is handled later

Skip to contents

# A selectizeInput customized for data frames with column labels

Source: `R/custom_SelectInput.R`
`columnSelectInput.Rd`

Copied and modified from the IDEAFilter package Adds the option to select "none" which is handled later

## Usage

    columnSelectInput(
      inputId,
      label,
      data,
      selected = "",
      ...,
      col_subset = NULL,
      placeholder = "",
      onInitialize,
      none_label = "No variable selected",
      maxItems = NULL
    )

## Arguments

inputId

  passed to `selectizeInput`

label

  passed to `selectizeInput`

data

  `data.frame` object from which fields should be populated

selected

  default selection

...

  passed to `selectizeInput`

col_subset

  a `vector` containing the list of allowable columns to select

placeholder

  passed to `selectizeInput` options

onInitialize

  passed to `selectizeInput` options

none_label

  label for "none" item

maxItems

  max number of items

## Value

a `selectizeInput` dropdown element